<?php

namespace Modules\HR\Models\Traits;

use Modules\HR\Models\HolidayAllowancePolicy;

trait HasHolidayAllowancePolicy
{
    /**
     * Get the holiday allowance policy associated with the model.
     */
    public function holidayAllowancePolicy()
    {
        return $this->belongsTo(HolidayAllowancePolicy::class, 'holiday_allowance_policy_id');
    }
}
